V1.0
delete
/ec-comment-svc/rest/v1.0/studies/{studyId}/comments/{commentId}
Deletes a comment or a reply from an object or comment chain.
Request
Path Parameters
-
commentId(required): string(uuid)
The object ID associated to the comment.
-
studyId(required): string(uuid)
Study ID. Example: F054C951EB74443C93716CA714AB686E.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.